# 编译

编译器：`x86_64-14.2.0-release-posix-seh-ucrt-rt_v12-rev0.7z`

# 过程

版本：`1.83`

```shell
bootstrap.bat mingw
b2.exe link=shared runtime-link=shared threading=multi debug release --build-type=complete toolset=gcc --prefix=C:\bin\boost address-model=64 install
```

# 结果

下载：[boost_1.83_mgw14.7z - 蓝奏云](https://taynpg.lanzn.com/ij3tl2jsxpfi)

其中对`include/boost/stacktrace/detail/frame_msvc.ipp`有修正：

在`UUID`定义前，在：

```c++
#ifdef __CRT_UUID_DECL // for __MINGW32__ 
```

后补充判断：

```c++
#if !defined(__MINGW32__) || (__GNUC__ < 12)
```

